package de.thdeg.greiner.superpangworld.graphics.helper;

/**
 * A player representing the main player in the game.
 */
public class Player {

    /** The max amount of lives a single player has */
    private static final int MAX_LIVES = 3;
    /** The current amount of lives the player has */
    public int lives;
    /** The current score the player has */
    public int score;
    /** The current level the play is on */
    public Level level;

    /**
     * Create a player.
     *
     * @param level the level the player is on
     */
    public Player(Level level){
        lives = MAX_LIVES;
        score = 0;
        this.level = level;
    }

}
