package de.thdeg.greiner.superpangworld.graphics.helper;

/**
 * A Level representing a level in the game.
 */
public class Level {

    /** The number of the level */
    public int number;
    /** The needed score to surpass this level */
    public int neededLevelScore;
    /** The overall needed score to surpass this level */
    public int neededOverallScore;
    /** The background image name */
    public String backgroundImage;

    /**
     * Create a level with a number, a needed score to surpass the level and a needed overall score to surpass the level.
     *
     * @param number the level number
     * @param neededLevelScore the needed score to surpass this level
     * @param neededOverallScore the overall needed score to surpass this level
     * @param backgroundImage the background image
     */
    public Level(int number, int neededLevelScore, int neededOverallScore, String backgroundImage){
        this.number = number;
        this.neededLevelScore = neededLevelScore;
        this.neededOverallScore = neededOverallScore;
        this.backgroundImage = backgroundImage;
    }
}
